Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.vcs
Class DefaultVcsProvider

public class DefaultVcsProvider
implements VcsProvider, VcsProviderConstants

A default implementation of `VcsProvider` which defines basic functinality of the provider. The implementation may inherit from this class to reuse this functionality.

Author:
  TogetherSoft

Method Summary
`void` | `changeWorkingDirectory(File workingDirectory)` Changes the value of internal current working directory field.
`void` | `endSession()` Clears all internal fields.
`int` | `execAddFiles(String[] files, int[] fileTypes, String comment, boolean makeCheckedOut, boolean removeLocal)` Throws CapabilityException.
`int` | `execCheckInFiles(String[] files, String comment, boolean keepCheckedOut, boolean removeLocal, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`int` | `execCheckOutFiles(String[] files, String comment, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`int` | `execGetFiles(String[] files, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`int` | `execGetFilesStatuses(String[] files, int[] statuses)` Throws CapabilityException.
`int` | `execGetMissingFiles(Vector files)` Throws CapabilityException.
`int` | `execGetRawFileDiff(String fileName, boolean ignoreCase, boolean ignoreSpace, StringBuffer diff)` Throws CapabilityException.
`int` | `execLockFiles(String[] files, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`int` | `execRemoveFiles(String[] files, String comment, boolean removeLocal)` Throws CapabilityException.
`int` | `execRenameFile(String fileName, String newFileName)` Throws CapabilityException.
`int` | `execSelectProject(String defaultProject, File workingDir, boolean createNewProject, StringBuffer selectedProject)` Throws CapabilityException.
`int` | `execSetFilesLabel(String[] files, String label, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`int` | `execShowAdvancedOptions(String command, boolean project)` Throws CapabilityException.
`int` | `execShowFileDiff(String fileName, boolean ignoreCase, boolean ignoreSpace)` Throws CapabilityException.
`int` | `execShowFileProperties(String fileName)` Throws CapabilityException.
`int` | `execShowFilesHistory(String[] files, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`int` | `execUnCheckOutFiles(String[] files, boolean removeLocal, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`int` | `execUnLockFiles(String[] files, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`int` | `execUpdateFiles(String[] files, boolean wholeProject, boolean projectRecursively)` Throws CapabilityException.
`void` | `free()` Clears all internal fields.
`String` | `getCurrentProject()` Returns root project + path from root working directory to current working directory.
`File` | `getCurrentWorkingDirectory()` Returns value of internal current project field.
`int` | `getFileStatus(String filename)` Returns FILE_STATUS_NONE.
`String` | `getID()` Returns "DEFAULT" as provider ID.
`String` | `getRootProject()` Returns value of internal root project field.
`File` | `getRootWorkingDirectory()` Returns value of internal root working directory field.
`boolean` | `isSessionStarted()` Returns true if both internal root project and working directories are not null.
`boolean` | `isValid()` Always returns false.
`void` | `startSession(String rootProject, File rootWorkingDir)` Initializes internal root project and working directory values.

Method Detail

### changeWorkingDirectory

    public void changeWorkingDirectory(File workingDirectory)
                                 throws VcsProviderException

  Changes the value of internal current working directory field.

### endSession

    public void endSession()
                     throws VcsProviderException

  Clears all internal fields.

### execAddFiles

    public int execAddFiles(String[] files, int[] fileTypes, String comment, boolean makeCheckedOut, boolean removeLocal)
                      throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execCheckInFiles

    public int execCheckInFiles(String[] files, String comment, boolean keepCheckedOut, boolean removeLocal, boolean wholeProject, boolean projectRecursively)
                          throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execCheckOutFiles

    public int execCheckOutFiles(String[] files, String comment, boolean wholeProject, boolean projectRecursively)
                           throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execGetFiles

    public int execGetFiles(String[] files, boolean wholeProject, boolean projectRecursively)
                      throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execGetFilesStatuses

    public int execGetFilesStatuses(String[] files, int[] statuses)
                              throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execGetMissingFiles

    public int execGetMissingFiles(Vector files)
                             throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execGetRawFileDiff

    public int execGetRawFileDiff(String fileName, boolean ignoreCase, boolean ignoreSpace, StringBuffer diff)
                            throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execLockFiles

    public int execLockFiles(String[] files, boolean wholeProject, boolean projectRecursively)
                       throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execRemoveFiles

    public int execRemoveFiles(String[] files, String comment, boolean removeLocal)
                         throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execRenameFile

    public int execRenameFile(String fileName, String newFileName)
                        throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execSelectProject

    public int execSelectProject(String defaultProject, File workingDir, boolean createNewProject, StringBuffer selectedProject)
                           throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execSetFilesLabel

    public int execSetFilesLabel(String[] files, String label, boolean wholeProject, boolean projectRecursively)
                           throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execShowAdvancedOptions

    public int execShowAdvancedOptions(String command, boolean project)
                                 throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execShowFileDiff

    public int execShowFileDiff(String fileName, boolean ignoreCase, boolean ignoreSpace)
                          throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execShowFileProperties

    public int execShowFileProperties(String fileName)
                                throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execShowFilesHistory

    public int execShowFilesHistory(String[] files, boolean wholeProject, boolean projectRecursively)
                              throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execUnCheckOutFiles

    public int execUnCheckOutFiles(String[] files, boolean removeLocal, boolean wholeProject, boolean projectRecursively)
                             throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execUnLockFiles

    public int execUnLockFiles(String[] files, boolean wholeProject, boolean projectRecursively)
                         throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### execUpdateFiles

    public int execUpdateFiles(String[] files, boolean wholeProject, boolean projectRecursively)
                         throws VcsProviderException

  Throws CapabilityException. This method should be overridden by subclass if the command is supported.

### free

    public void free()

  Clears all internal fields.

### getCurrentProject

    public String getCurrentProject()

  Returns root project + path from root working directory to current working directory. All delimiters guaranteed to be "/". This method may be overridden to get correct project.

### getCurrentWorkingDirectory

    public File getCurrentWorkingDirectory()

  Returns value of internal current project field.

### getFileStatus

    public int getFileStatus(String filename)
                       throws VcsProviderException

  Returns FILE_STATUS_NONE.

### getID

    public String getID()

  Returns "DEFAULT" as provider ID. Should be overridden by subclass.

### getRootProject

    public String getRootProject()

  Returns value of internal root project field.

### getRootWorkingDirectory

    public File getRootWorkingDirectory()

  Returns value of internal root working directory field.

### isSessionStarted

    public boolean isSessionStarted()

  Returns true if both internal root project and working directories are not null.

### isValid

    public boolean isValid()

  Always returns false.

### startSession

    public void startSession(String rootProject, File rootWorkingDir)

  Initializes internal root project and working directory values. Current working directory set to root. None of parameters can be null.
  throw IllegalArgumentException if any of parameters is null.

Association Links

to Class java.io.File

to Class java.io.File

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD